WSFONTLOAD(8)

NAME
wsfontload - load a font bitmap into a wscons display device

SYNOPSIS
wsfontload [-Bbl] [-e encoding] [-f file] [-h height] [-N name] [-w width] [fontfile]

DESCRIPTION
The wsfontload utility loads a font bitmap to a wscons device if the device driver supports it. The font gets assigned a name in this process which it can be referred to by later for use on a display screen. The font is loaded from the specified fontfile, or from stdin if fontfile is not provided.

The options are as follows:

-B  Specifies that the font data is ordered right-to-left byte wise. The default is left-to-right.

-b  Specifies that the font data is ordered right-to-left bit wise. The default is left-to-right.

-e encoding
    Sets the encoding of the font. This can be either a symbolic abbreviation or a numeric value. Currently recognized abbreviations are “iso” for ISO 8859-1 or ISO-10646 (Unicode) encoding and “ibm” for IBM encoded fonts. Per default, “iso” is assumed.

-f file
    Specify the control device of the wscons display to operate on. Default is /dev/ttyCcfg.

-h height
    Sets the height of a font character in pixels. Default is 16 for text-mode VGA compatible displays, and 22 for raster displays.

-l  Specifies to print out a list of loaded fonts, no other arguments should be specified.

-N name
    Specifies a name which can be used later to refer to the font. If none is given, the fontfile name is used to create one.

-w width
    Sets the width of a font character in pixels. Default is 8 for text-mode VGA compatible displays, and 12 for raster displays.

No font files are provided with the wscons framework. The fonts installed by PCVT can be used instead, as can raw font files from other operating system distributions.

FILES
/usr/share/misc/pcvtfonts/
    fonts directory.

EXAMPLES
Load the IBM-encoded 8x8-font from the PCVT distribution. This (or another 8x8-font) is necessary to use the 50-line screen type on vga(4) displays.

    # wsfontload -N myname -h 8 -e ibm \
    	/usr/share/misc/pcvtfonts/vt220l.808

SEE ALSO
wscons(4), wsconscfg(8), wsconsctl(8)

HISTORY
The wsfontload program appeared in OpenBSD 2.8.

BUGS
Many features are missing.

There is no way to remove a loaded font.